CREATE TABLE ego_change_propagation_maps (
    CHANGE_PROPAGATION_MAP_ID    NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    CHANGE_ID                    NUMBER(18, 0)     NOT NULL,
    CHANGE_LINE_ID               NUMBER(18, 0) ,
    REVISED_LINE_TYPE            VARCHAR2(80)  ,
    REVISED_LINE_ID1             NUMBER(18, 0) ,
    REVISED_LINE_ID2             NUMBER(18, 0) ,
    REVISED_LINE_ID3             NUMBER(18, 0) ,
    REVISED_LINE_ID4             NUMBER(18, 0) ,
    REVISED_LINE_ID5             NUMBER(18, 0) ,
    LOCAL_ORGANIZATION_ID        NUMBER(18, 0) ,
    LOCAL_CHANGE_ID              NUMBER(18, 0) ,
    LOCAL_CHANGE_LINE_ID         NUMBER(18, 0) ,
    LOCAL_REVISED_LINE_ID1       NUMBER(18, 0) ,
    LOCAL_REVISED_LINE_ID2       NUMBER(18, 0) ,
    LOCAL_REVISED_LINE_ID3       NUMBER(18, 0) ,
    LOCAL_REVISED_LINE_ID4       NUMBER(18, 0) ,
    LOCAL_REVISED_LINE_ID5       NUMBER(18, 0) ,
    ENTITY_NAME                  VARCHAR2(120) ,
    ENTITY_ACTION_STATUS         NUMBER        ,
    REQUEST_ID                   NUMBER(18, 0) ,
    PROGRAM_NAME                 VARCHAR2(120) ,
    PROGRAM_APP_NAME             VARCHAR2(200) ,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    JOB_DEFINITION_NAME          VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE       VARCHAR2(3600),
    CHANGE_PROPAGATION_MAP_ID    NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    CHANGE_ID                    NUMBER(18, 0)     NOT NULL,
    CHANGE_LINE_ID               NUMBER(18, 0) ,
    REVISED_LINE_TYPE            VARCHAR2(80)  ,
    REVISED_LINE_ID1             NUMBER(18, 0) ,
    REVISED_LINE_ID2             NUMBER(18, 0) ,
    REVISED_LINE_ID3             NUMBER(18, 0) ,
    REVISED_LINE_ID4             NUMBER(18, 0) ,
    REVISED_LINE_ID5             NUMBER(18, 0) ,
    LOCAL_ORGANIZATION_ID        NUMBER(18, 0) ,
    LOCAL_CHANGE_ID              NUMBER(18, 0) ,
    LOCAL_CHANGE_LINE_ID         NUMBER(18, 0) ,
    LOCAL_REVISED_LINE_ID1       NUMBER(18, 0) ,
    LOCAL_REVISED_LINE_ID2       NUMBER(18, 0) ,
    LOCAL_REVISED_LINE_ID3       NUMBER(18, 0) ,
    LOCAL_REVISED_LINE_ID4       NUMBER(18, 0) ,
    LOCAL_REVISED_LINE_ID5       NUMBER(18, 0) ,
    ENTITY_NAME                  VARCHAR2(120) ,
    ENTITY_ACTION_STATUS         NUMBER        ,
    REQUEST_ID                   NUMBER(18, 0) ,
    PROGRAM_NAME                 VARCHAR2(120) ,
    PROGRAM_APP_NAME             VARCHAR2(200) ,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    JOB_DEFINITION_NAME          VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE       VARCHAR2(3600),
    CONSTRAINT pk_ego_change_propagation_maps PRIMARY KEY (CHANGE_PROPAGATION_MAP_ID, CHANGE_PROPAGATION_MAP_ID)
);
